Skip to main content
DELETE
Delete

Authorizations

Authorization
string
header
required

The Authorization header expects a Bearer token.

Path Parameters

id
string
required

Response

200 - application/json

A successful response.

createdAt
string<date-time>

Creation timestamp.

createdBy
string

ID of the user or service account who initiated the operation.

description
string

Human-readable description of the operation. 0-256 characters long.

finishedAt
string<date-time>

The time when the operation has finished.

id
string

ID of the operation.

progressData
object

Extra information about this operation's progress. MAY be absent while the operation is running, MUST be absent after the operation has completed.

Type of message that's stored inside [progress_data] is service-dependent.

progressTracker
object

Information about this operation's progress, if this operation tracks its progress. If the operation tracks its progress, progress_tracker MUST be present both while the operation is running and after it has been completed.

request
object

The request that generated this operation.

requestHeaders
object

The request headers that are essential for the request that generated the operation. For instance, x-resetmask. Without these headers the request might have been processed differently if repeated. All the header names must be converted to lower case. Validator is based on: https://httpwg.org/specs/rfc9110.html#considerations.for.new.field.names

resourceId
string

ID of the resource that this operation creates, updates, deletes or otherwise changes.

If the operation affects multiple resources or does not affect any API resources at all (e.g. a routine maintenance operation visible to the user), the [resource_id] must be empty.

status
object

The status of this operation. Set when this operation is completed. See https://github.com/grpc/grpc/blob/master/src/proto/grpc/status/status.proto.

[status.code] is https://github.com/googleapis/googleapis/blob/master/google/rpc/code.proto:

  • If [status.code] == OK, the operation has completed successfully.
  • If [status.code] != OK, the operation has failed or has been cancelled.
    • [status.message] will contain a user-readable and actionable error message.
    • [status.details] will contain additional diagnostic information in the form of [ServiceError] from nebius/common/v1/error.proto
  • [status.code] must belong to an Operation-compatible subset of GRPC codes: OK, CANCELLED, PERMISSION_DENIED, RESOURCE_EXHAUSTED, FAILED_PRECONDITION, ABORTED, INTERNAL